Bug 869979 - There is WARNING message if convert a guest which use virtio driver.
There is WARNING message if convert a guest which use virtio driver.
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 05:41 EDT by yuping zhang
Modified: 2014-11-18 06:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 06:22:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yuping zhang 2012-10-25 05:41:03 EDT
Description of problem:
Prepare a guest which use virtio driver,then convert it.There is warning message said
"virt-v2v: WARNING: /boot/grub/device.map references unknown device /dev/vda. This entry must be manually fixed after conversion."
virt-v2v doesn't check virtio driver if the source guest use it.

Version-Release number of selected component (if applicable):
virt-v2v-0.8.9-2.el6.x86_64
libguestfs-1.16.32-2.el6.x86_64
libvirt-0.10.2-5.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Use virtio driver in guest.
2.Convert it with virt-v2v
# virt-v2v -ic qemu+ssh://10.66.72.24/system -o rhev -os 10.66.90.115:/vol/v2v_auto/auto_export -n rhevm kvm-rhel6.2-i386-qcow2
root@10.66.72.24's password: 
root@10.66.72.24's password: 
kvm-rhel6.2-i386-qcow2.img: 100% [================================================================================]D 0h00m31s
virt-v2v: WARNING: /boot/grub/device.map references unknown device /dev/vda. This entry must be manually fixed after conversion.
virt-v2v: kvm-rhel6.2-i386-qcow2 configured with virtio drivers.
  
Actual results:
As above,there is WARNING message.

Expected results:
No warining message.virt-v2v need to check the virtio driver.

Additional info:
Comment 1 RHEL Product and Program Management 2012-12-14 02:05:51 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Richard W.M. Jones 2014-11-18 06:22:31 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.